COBRA-INIT(1)

NAME

cobra-init - Initialize a Cobra Application

SYNOPSIS

cobra init [OPTIONS]

DESCRIPTION

Initialize (cobra init) will create a new application, with a license and the appropriate structure for a Cobra-based CLI application.

•   If a name is provided, it will be created in the current directory;

•   If no name is provided, the current directory will be assumed;

•   If a relative path is provided, it will be created inside $GOPATH (e.g. github.com/spf13/hugo);

•   If an absolute path is provided, it will be created;

•   If the directory already exists but is empty, it will be used.

Init will not use an existing directory with contents.

OPTIONS INHERITED FROM PARENT COMMANDS

-a, --author="YOUR NAME"
    Author name for copyright attribution

--config=""
    config file (default is $HOME/.cobra.yaml)

-l, --license=""
    Name of license for the project (can provide licensetext in config)

-b, --projectbase=""
    base project directory, e.g. github.com/spf13/

--viper[=true]
    Use Viper for configuration

SEE ALSO

cobra(1)